import { CellEditingProps } from "./CellEditingProps";
import { GridCellEditingProps } from "./GridCellEditingProps";
import { RowEditProps } from "./RowEditProps";
/**
 * The data grid plugins property configurations.
 */
export interface PluginProps {
    /**
     *
     */
    clipboard?: boolean;
    /**
     *
     */
    cellediting?: CellEditingProps;
    /**
     *
     */
    columnresizing?: boolean;
    /**
     *
     */
    gridcellediting?: boolean | GridCellEditingProps;
    /**
     *
     */
    gridexporter?: boolean;
    /**
     *
     */
    gridfilters?: boolean;
    /**
     *
     */
    gridrowdragdrop?: boolean;
    /**
     *
     */
    gridsummaryrow?: boolean;
    /**
     *
     */
    pagingtoolbar?: boolean;
    /**
     *
     */
    rowedit?: boolean | RowEditProps;
    /**
     *
     */
    rowexpander?: boolean;
    /**
     *
     */
    selectionreplicator?: boolean;
    /**
     *
     */
    gridfilterbar?: boolean;
    /**
     *
     */
    groupingpanel?: boolean;
    /**
    *
    */
    gridsummaries?: boolean;
}
export default PluginProps;
