import React, { Component } from "react";
import { ColumnConfig, ColumnProps, RendererProps } from "./Column";
/**
 *
 */
export interface CheckboxColumnProps extends ColumnProps {
    defaultValue?: any;
    onFocusLeave?: any;
}
/**
 *
 */
interface CheckboxColumnState {
    value: any;
}
/**
 *
 */
export interface CheckboxRenderProps extends RendererProps {
    toggleValue?: (value: boolean) => void;
    columnConfig?: any;
}
/**
 *
 */
export declare class CheckboxColumn extends Component<CheckboxColumnProps, CheckboxColumnProps> implements ColumnConfig<CheckboxColumnProps> {
    constructor(props: CheckboxColumnProps);
    sorterFn(a: any, b: any): any;
    validateCheckbox(value: any): string | undefined;
    getColumnConfig(): CheckboxColumnProps;
    render(): JSX.Element;
}
export default CheckboxColumn;
/**
 *
 */
export declare class CheckboxRenderer extends Component<CheckboxRenderProps, CheckboxColumnState> {
    constructor(props: RendererProps);
    handleChange(event: React.ChangeEvent<HTMLInputElement>): void;
    render(): JSX.Element;
}
