var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { Component } from "react";
import { defaultColumnRendererStyle, } from "./Column";
import ColorEditor from "../editors/ColorEditor";
/**
 *
 */
var ColorColumn = /** @class */ (function (_super) {
    __extends(ColorColumn, _super);
    function ColorColumn(props) {
        var _this = _super.call(this, props) || this;
        _this.state = __assign(__assign({}, _this.props), { sorter: { sorterFn: _this.sorterFn.bind(_this) }, renderer: React.createElement(ColorRenderer, { style: props.style }), editor: React.createElement(ColorEditor, null) });
        return _this;
    }
    ColorColumn.prototype.sorterFn = function (a, b) {
        return a[this.state.field].localeCompare(b[this.state.field], undefined, {
            numeric: true,
            sensitivity: "base",
        });
    };
    ColorColumn.prototype.getColumnConfig = function () {
        return this.state;
    };
    ColorColumn.prototype.render = function () {
        var _a;
        return React.createElement(React.Fragment, null, (_a = this.props) === null || _a === void 0 ? void 0 : _a.children);
    };
    return ColorColumn;
}(Component));
export { ColorColumn };
export default ColorColumn;
/**
 *
 */
var ColorRenderer = /** @class */ (function (_super) {
    __extends(ColorRenderer, _super);
    function ColorRenderer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ColorRenderer.prototype.render = function () {
        var _a = this.props, data = _a.data, style = _a.style;
        return (React.createElement("div", { style: __assign(__assign({}, defaultColumnRendererStyle), style) },
            React.createElement("div", { style: {
                    backgroundColor: data,
                    width: "20px",
                    height: "20px",
                    border: "1px solid gray",
                } }, "\u00A0")));
    };
    return ColorRenderer;
}(Component));
export { ColorRenderer };
