import { Component, ReactElement } from "react";
/**
 *
 */
export interface PagingToolbarProps {
    /**
     *
     */
    gotoNext?(): void;
    /**
     *
     */
    gotoPrev?(): void;
    /**
     *
     */
    gotoFirst?(): void;
    /**
     *
     */
    gotoPage?(page: number): void;
    /**
     *
     */
    gotoLast?(): void;
    setPageSize?(size: number): void;
    getPageSize?(): void;
}
/**
 *
 */
interface PageingState {
    currentPage: any;
    itemsPerPage: any;
    pageNumberLimit: any;
    maxPageNumberLimit: any;
    minPageNumberLimit: any;
}
/**
 *
 */
export declare class PagingToolbar extends Component<PagingToolbarProps, PageingState> {
    constructor(props: PagingToolbarProps);
    handleClick: (value: number) => void;
    handleFirstpage: () => void;
    handlePrevbtn: (value: any) => void;
    handleNextbtn: (value: any) => void;
    handleLastpage: () => void;
    render(): ReactElement;
}
export default PagingToolbar;
