import React, { Component } from "react";
import EditorProps from "../EditorProps";
import { IEditor } from "./IEditor";
/**
 *
 */
export interface ColorEditorProps extends EditorProps {
}
/**
 *
 */
interface ColorEditorState {
    value: any;
}
/**
 *
 */
export declare class ColorEditor extends Component<ColorEditorProps, ColorEditorState> implements IEditor {
    private ref;
    constructor(props: ColorEditorProps);
    setValue(value: string): void;
    getValue(): string;
    validate(): boolean;
    getErrors(): string[];
    getInputEl(): HTMLInputElement | null;
    handleKeyDown(event: React.KeyboardEvent<HTMLInputElement>): void;
    render(): JSX.Element;
    handleChange(event: React.ChangeEvent<HTMLInputElement>): void;
}
export default ColorEditor;
