import React, { Component } from "react";
import EditorProps from "../EditorProps";
import { IEditor } from "./IEditor";
/**
 *
 */
export interface DateEditorProps extends EditorProps {
}
/**
 *
 */
interface DateEditorState {
    value: any;
}
/**
 *
 */
export declare class DateEditor extends Component<DateEditorProps, DateEditorState> implements IEditor {
    private ref;
    constructor(props: DateEditorProps);
    setValue(value: string): void;
    getValue(): string;
    validate(): boolean;
    getErrors(): string[];
    getInputEl(): HTMLInputElement | null;
    handleKeyDown(event: React.KeyboardEvent<HTMLInputElement>): void;
    render(): JSX.Element;
    handleChange(event: React.ChangeEvent<HTMLInputElement>): void;
}
export default DateEditor;
