import React, { Component } from "react";
import EditorProps from "../EditorProps";
import IEditor from "./IEditor";
/**
 *
 */
export interface NumberEditorProps extends EditorProps {
}
/**
 *
 */
export interface NumberEditorState {
    value: any;
}
/**
 *
 */
export declare class NumberEditor extends Component<NumberEditorProps, NumberEditorState> implements IEditor {
    private ref;
    constructor(props: NumberEditorProps);
    setValue(value: string): void;
    getValue(): string;
    validate(): boolean;
    getErrors(): string[];
    getInputEl(): HTMLInputElement | null;
    handleKeyDown(event: React.KeyboardEvent<HTMLInputElement>): void;
    render(): JSX.Element;
    handleChange(event: React.ChangeEvent<HTMLInputElement>): void;
}
export default NumberEditor;
