import React, { Component } from "react";
import EditorProps from "../EditorProps";
import IEditor from "./IEditor";
/**
 *
 */
export interface PhoneEditorProps extends EditorProps {
}
/**
 *
 */
interface PhoneEditorState {
    value: any;
}
/**
 *
 */
export declare class PhoneEditor extends Component<PhoneEditorProps, PhoneEditorState> implements IEditor {
    private ref;
    constructor(props: PhoneEditorProps);
    setValue(value: string): void;
    getValue(): string;
    validate(): boolean;
    getErrors(): string[];
    getInputEl(): HTMLInputElement | null;
    handleKeyDown(event: React.KeyboardEvent<HTMLInputElement>): void;
    handleChange(event: React.ChangeEvent<HTMLInputElement>): void;
    isNumericInput: (event: any) => boolean;
    formatToPhone: (event: any) => void;
    render(): JSX.Element;
}
export default PhoneEditor;
