import React, { Component } from "react";
import EditorProps from "../EditorProps";
import IEditor from "./IEditor";
/**
 *
 */
export interface SelectEditorProps extends EditorProps {
    options?: any[];
}
/**
 *
 */
interface SelectEditorState {
    value: any;
}
/**
 *
 */
export declare class SelectEditor extends Component<SelectEditorProps, SelectEditorState> implements IEditor {
    private ref;
    constructor(props: SelectEditorProps);
    setValue(value: string): void;
    getValue(): string;
    validate(): boolean;
    getErrors(): string[];
    getInputEl(): HTMLSelectElement | null;
    handleKeyDown(event: React.KeyboardEvent<HTMLSelectElement>): void;
    render(): JSX.Element;
    handleChange(event: React.ChangeEvent<HTMLSelectElement>): void;
}
export default SelectEditor;
