/**
 * Fires before a group expand starts. Return false to cancel the expand.
 */
export interface BeforeGroupExpand {
    /**
     * The expanded group data info
     */
    expandGroupData: any;
    /**
     * The begin index of expanded group
     */
    expandBeginIndex: number;
    /**
     * The end index of expanded group
     */
    expandEndIndex: number;
    /**
     * The group collapsed value
     */
    collapsed: boolean;
}
export default BeforeGroupExpand;
