export interface BeforeStartEdit {
    /**
     * The field value being set
     */
    value?: string;
    /**
     * The underlying element bound to this editor
     */
    boundEl?: HTMLElement;
    /**
     * Row index of the editor
     */
    rowIndex?: number;
    /**
     * Column index of the editor
     */
    columnIndex?: number;
}
export default BeforeStartEdit;
