/**
 * Fires when cell selection is being used and cells are selected or deselected.
 */
export interface CellSelection {
    /**
     * Column Index of the cell selected.
     */
    columnIndex: number;
    /**
     * Row Index of the cell selected.
     */
    rowIndex: number;
}
export default CellSelection;
