/**
 * Fires when column selection is being used and columns are selected or deselected.
 */
export interface ColumnSelection {
    /**
     * Field name of the selected column
     */
    fieldName?: number;
    /**
     * Index of the selected column in the grid
     */
    columnIndex: number;
}
export default ColumnSelection;
