/**
 * Fires after editing is complete and any changed value has been written to the underlying field.
 */
export interface CompleteEdit {
    /**
     * The current field value
     */
    value: any;
    /**
     * The original field value
     */
    oldValue: any;
}
export default CompleteEdit;
