import { Component } from "react";
import { ColumnConfig, ColumnProps, RendererProps } from "./Column";
/**
 *
 */
export interface BooleanColumnProps extends ColumnProps {
}
/**
 *
 */
export declare class BooleanColumn extends Component<BooleanColumnProps, BooleanColumnProps> implements ColumnConfig<BooleanColumnProps> {
    constructor(props: BooleanColumnProps);
    sorterFn(a: any, b: any): any;
    validateBoolean(value: any): string | undefined;
    getColumnConfig(): BooleanColumnProps;
    render(): JSX.Element;
}
export default BooleanColumn;
/**
 *
 */
export declare class BooleanRenderer extends Component<RendererProps> {
    render(): JSX.Element;
}
