import { Component } from "react";
import { ColumnConfig, ColumnProps, RendererProps } from "./Column";
/**
 *
 */
export interface PhoneColumnProps extends ColumnProps {
}
/**
 *
 */
export declare class PhoneColumn extends Component<PhoneColumnProps, PhoneColumnProps> implements ColumnConfig<PhoneColumnProps> {
    constructor(props: PhoneColumnProps);
    sorterFn(a: any, b: any): any;
    validatePhone(value: any): string | undefined;
    getColumnConfig(): PhoneColumnProps;
    render(): JSX.Element;
}
export default PhoneColumn;
/**
 *
 */
export declare class PhoneRenderer extends Component<RendererProps> {
    render(): JSX.Element;
}
