import React, { Component } from "react";
import EditorProps from "../EditorProps";
import { IEditor } from "./IEditor";
/**
 *
 */
export interface BooleanEditorProps extends EditorProps {
}
/**
 *
 */
interface BooleanEditorState {
    value: any;
}
/**
 *
 */
export declare class BooleanEditor extends Component<BooleanEditorProps, BooleanEditorState> implements IEditor {
    private ref;
    constructor(props: BooleanEditorProps);
    setValue(value: string): void;
    getValue(): string;
    validate(): boolean;
    getErrors(): string[];
    getInputEl(): HTMLSelectElement | null;
    handleKeyDown(event: React.KeyboardEvent<HTMLInputElement>): void;
    render(): JSX.Element;
    handleChange(event: React.ChangeEvent<HTMLSelectElement>): void;
}
export default BooleanEditor;
