import React, { Component } from "react";
import EditorProps from "../EditorProps";
import IEditor from "./IEditor";
/**
 *
 */
export interface TextEditorProps extends EditorProps {
}
/**
 *
 */
interface TextEditorState {
    value: any;
}
/**
 *
 */
export declare class TextEditor extends Component<TextEditorProps, TextEditorState> implements IEditor {
    private ref;
    isSpaceCharacter: boolean;
    constructor(props: TextEditorProps);
    setValue(value: string): void;
    getValue(): string;
    validate(): boolean;
    getErrors(): string[];
    getInputEl(): HTMLInputElement | null;
    handleKeyDown(event: React.KeyboardEvent<HTMLInputElement>): void;
    handleChange(event: React.ChangeEvent<HTMLInputElement>): void;
    render(): JSX.Element;
}
export default TextEditor;
