/**
 * Fires before a group collapse starts. Return false to cancel the collapse.
 */
export interface BeforeGroupCollapse {
    /**
     * The collapsed group data info
     */
    collapsedGroupData: any;
    /**
     * The begin index of collapsed group
     */
    collapsedBeginIndex: number;
    /**
     * The end index of collapsed group
     */
    collapsedEndIndex: number;
    /**
     * The group collapsed value
     */
    collapsed: boolean;
}
export default BeforeGroupCollapse;
