import SenchaGridProps from "../SenchaGridProps";
/**
 * Event listener class
 */
export declare class EventListeners {
    gridProps: SenchaGridProps;
    constructor(props: SenchaGridProps);
    selectionChange(grid: any, records: any[], selected: boolean): void;
    columnhide(grid: any, column: any): void;
    beforecomplete(editor: any, value: object, oldValue: object, location: any): void;
    beforegroupcollapse(value: any, group: any): void;
    beforegroupexpand(value: any, group: any): void;
    cellselection(grid: any, selection: any): void;
    beforeEdit(grid: any, location: any, eOpts: any): void;
    columnmove(grid: any, column: any, fromIndex: number, toIndex: number, acceptEvent: boolean | object): void;
    columnadd(grid: any, column: any, index: number): void;
    columnresize(grid: any, column: any): void;
    deselect(grid: any, record: any): void;
    beforestartedit(editor: any, boundEl: any, value: any, location: any): void;
    columnsort(grid: any, column: any, direction: string): void;
    startedit(editor: any, boundEl: any, value: string, location: any): void;
    updatedata(sender: any, newData: any): void;
    complete(editor: any, value: object, oldValue: object): void;
    columnselection(grid: any, selection: any): void;
    focus(grid: any, event: any): void;
    blur(grid: any, event: any): void;
    columnmenucreated(grid: any, column: any, menu: any): void;
    edit(grid: any, location: any): void;
    canceledit(grid: any, value: any, startValue: any): void;
    validateedit(sender: any, location: any): boolean | void;
    painted(sender: any, element: any): void;
    initialize(sender: any): void;
    childdoubletap(grid: any, location: any): void;
    childsingletap(grid: any, location: any): void;
    columnshow(grid: any, column: any): void;
}
export default EventListeners;
