import React, { Component } from "react";
import EditorProps from "../EditorProps";
import IFilter from "./IFilters";
/**
 *
 */
export interface DateFilterProps extends EditorProps {
    onValueChange?(value: any): void;
    operators?: string[];
    onOperatorChangeCallback?(value: string): void;
    operator?: string;
    createOperatorMenu?(): void;
}
/**
 *
 */
interface DateFilterState {
    value: any;
}
/**
 *
 */
export declare class DateFilter extends Component<DateFilterProps, DateFilterState> implements IFilter {
    private ref;
    private formatter;
    constructor(props: DateFilterProps);
    setValue(value: string): void;
    getValue(): string;
    validate(): boolean;
    getErrors(): string[];
    getInputEl(): HTMLInputElement | null;
    handleKeyDown(event: React.KeyboardEvent<HTMLInputElement>): void;
    render(): JSX.Element;
    handleChange(event: React.ChangeEvent<HTMLInputElement>): void;
}
export default DateFilter;
